﻿// --------------------------------
// <copyright file="ArgumentEventArgs.cs" company="TRONSoft">
//     Copyright (c) TRONSoft.
// </copyright>
// <license>
//   This source code is subject to terms and conditions of the Microsoft
//   Public License. A copy of the license can be found in the License.html
//   file at the root of this distribution. If you cannot locate the
//   Microsoft Public License, please send an email to dlr@microsoft.com.
//   By using this source code in any fashion, you are agreeing to be bound 
//   by the terms of the Microsoft Public License. You must not remove this
//   notice, or any other, from this software.
// </license>
// <author>Tron</author>
// ---------------------------------

using System;
using System.Collections.Generic;
using System.Text;

namespace Actucal
{
    public class ArgumentEventArgs<T> : EventArgs
    {
        private readonly T argument;

        public ArgumentEventArgs(T argument)
        {
            this.argument = argument;
        }

        public T Argument
        {
            get { return argument; }
        }
    }
}
