// --------------------------------
// <copyright file="ICalculationParameter.cs" company="TRONSoft">
//     Copyright (c) TRONSoft.
// </copyright>
// <license>
//   This source code is subject to terms and conditions of the Microsoft
//   Public License. A copy of the license can be found in the License.html
//   file at the root of this distribution. If you cannot locate the
//   Microsoft Public License, please send an email to dlr@microsoft.com.
//   By using this source code in any fashion, you are agreeing to be bound 
//   by the terms of the Microsoft Public License. You must not remove this
//   notice, or any other, from this software.
// </license>
// <author>Tron</author>
// ---------------------------------

using System;

namespace Tronsoft.Actucal.CalculationEngineCreator
{
    public interface ICalculationParameter
    {
        /// <summary>
        /// The value of the parameter.
        /// </summary>
        object Value { get; set; }

        /// <summary>
        /// The name of the parameter.
        /// </summary>
        string Name { get; }

        /// <summary>
        /// The type of the parameter.
        /// </summary>
        Type Type { get; }
    }
}