﻿// --------------------------------
// <copyright file="Constants.cs" company="TRONSoft">
//     Copyright (c) TRONSoft.
// </copyright>
// <license>
//   This source code is subject to terms and conditions of the Microsoft
//   Public License. A copy of the license can be found in the License.html
//   file at the root of this distribution. If you cannot locate the
//   Microsoft Public License, please send an email to dlr@microsoft.com.
//   By using this source code in any fashion, you are agreeing to be bound 
//   by the terms of the Microsoft Public License. You must not remove this
//   notice, or any other, from this software.
// </license>
// <author>Tron</author>
// ---------------------------------


namespace Tronsoft.Actucal.CalculationEngineCreator
{
    public class ConfigurationSectionName
    {
        public const string PROVIDERS = "providers";
        public const string INTRINSIC_ELEMENT_COLLECTION = "intrinsicObjects";
        public const string ACTUCAL_SERVICE = "ActucalSection";
    }

    public class ConfigurationPropertyName
    {
        public const string CONNECTION_STRING_NAME = "connectionStringName";
        public const string DEFAULT_PROVIDER = "defaultProvider";
        public const string ENABLE_TRACE = "enableTrace";
        public const string PLUGIN_DIRECTORY = "pluginDirectory";
        public const string INTRINSIC_OBJECT_ELEMENT = "intrinsicObject";
    }

    public class DataProviderTypeName
    {
        //public const string ENTERPRISE_LIBRARY = "ELib3DataProvider";
        //public const string MY_SQL = "MySqlDataProvider";
        //public const string ORACLE = "OracleDataProvider";
        public const string SQL_SERVER = "SqlDataProvider";
    }

    public class Resources
    {
        public const string TABLES_DATA = "Tables.Data";
    }
}
